Delete a contact from your directory
Agent Skill
Automate this endpoint with an AI agent using the 2chat-contacts skill:
npx skills add 2ChatCo/agent-skills -s 2chat-contacts
This endpoint will let you delete an existing contact from your 2Chat account using its UUID. You can get this data using the List Contacts endpoint
Invocation
Make a DELETE request to https://api.p.2chat.io/open/contacts/<contact-uuid>, where:
<contact-uuid> is the UUID of the contact you would like to delete. E.g.: CONd9bedfb7-3d4c-463c-8d0f-85aa312a94a8.
Invocation
- cURL
- Python
- JavaScript
curl --location --request DELETE 'https://api.p.2chat.io/open/contacts/CONd9bedfb7-3d4c-463c-8d0f-85aa312a94a8' \
--header 'Content-Type: application/json' \
--header 'X-User-API-Key: your_api_key_here'
import requests
import json
url = "https://api.p.2chat.io/open/contacts/CONd9bedfb7-3d4c-463c-8d0f-85aa312a94a8"
headers = {
'X-User-API-Key': 'your_api_key_here',
'Content-Type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers)
print(response.text)
var axios = require('axios');
var config = {
method: 'delete',
url: 'https://api.p.2chat.io/open/contacts/CONd9bedfb7-3d4c-463c-8d0f-85aa312a94a8',
headers: {
'X-User-API-Key': 'your_api_key_here',
'Content-Type': 'application/json'
}
};
axios(config)
.then(function (response) {
console.log(JSON.stringify(response.data));
})
.catch(function (error) {
console.log(error);
});
Response
{
"success": true
}